## org.eclipse.ocl.expressions.impl
Class TupleLiteralPartImpl<C,P>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.TupleLiteralPartImpl<C,P>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, TupleLiteralPart<C,P>, ASTNode, TypedASTNode, TypedElement<C>, Visitable

    public class TupleLiteralPartImpl<C,P>

extends EObjectImpl
implements TupleLiteralPart<C,P>

An implementation of the model object 'Tuple Literal Part'.

The following features are implemented:

- `Start Position`
- `End Position`
- `Type Start Position`
- `Type End Position`
- `Value`
- `Attribute`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected P` `attribute` The cached value of the '`Attribute`' reference
`protected static int` `END_POSITION_EDEFAULT` The default value of the '`End Position`' attribute
`protected int` `endPosition` The cached value of the '`End Position`' attribute
`protected static int` `START_POSITION_EDEFAULT` The default value of the '`Start Position`' attribute
`protected int` `startPosition` The cached value of the '`Start Position`' attribute
`protected static int` `TYPE_END_POSITION_EDEFAULT` The default value of the '`Type End Position`' attribute
`protected static int` `TYPE_START_POSITION_EDEFAULT` The default value of the '`Type Start Position`' attribute
`protected int` `typeEndPosition` The cached value of the '`Type End Position`' attribute
`protected int` `typeStartPosition` The cached value of the '`Type Start Position`' attribute
`protected OCLExpression<C>` `value` The cached value of the '`Value`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `TupleLiteralPartImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`P` `basicGetAttribute()`
`NotificationChain` `basicSetValue(OCLExpression<C> newValue, NotificationChain msgs)`
`boolean` `checkValueType(DiagnosticChain diagnostics, Map<Object,Object> context)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`P` `getAttribute()`
`int` `getEndPosition()`
`String` `getName()`
`int` `getStartPosition()`
`C` `getType()`
`int` `getTypeEndPosition()`
`int` `getTypeStartPosition()`
`OCLExpression<C>` `getValue()`
`void` `setAttribute(P newAttribute)`
`void` `setEndPosition(int newEndPosition)`
`void` `setName(String name)`
`void` `setStartPosition(int newStartPosition)`
`void` `setType(C type)`
`void` `setTypeEndPosition(int newTypeEndPosition)`
`void` `setTypeStartPosition(int newTypeStartPosition)`
`void` `setValue(OCLExpression<C> newValue)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### START_POSITION_EDEFAULT

    protected static final int START_POSITION_EDEFAULT

  The default value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`, Constant Field Values

### startPosition

    protected int startPosition

  The cached value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`

### END_POSITION_EDEFAULT

    protected static final int END_POSITION_EDEFAULT

  The default value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`, Constant Field Values

### endPosition

    protected int endPosition

  The cached value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`

### TYPE_START_POSITION_EDEFAULT

    protected static final int TYPE_START_POSITION_EDEFAULT

  The default value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`, Constant Field Values

### typeStartPosition

    protected int typeStartPosition

  The cached value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`

### TYPE_END_POSITION_EDEFAULT

    protected static final int TYPE_END_POSITION_EDEFAULT

  The default value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`, Constant Field Values

### typeEndPosition

    protected int typeEndPosition

  The cached value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`

### value

    protected OCLExpression<C> value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getValue()`

### attribute

    protected P attribute

  The cached value of the '`Attribute`' reference.

  See Also:
    `getAttribute()`

Constructor Detail

### TupleLiteralPartImpl

    protected TupleLiteralPartImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getStartPosition

    public int getStartPosition()

  Specified by:
    `getStartPosition` in interface `ASTNode`
  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `ASTNode.setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    public void setStartPosition(int newStartPosition)

  Specified by:
    `setStartPosition` in interface `ASTNode`
  Parameters:
    `newStartPosition` - the new value of the 'Start Position' attribute.
  See Also:
    `ASTNode.getStartPosition()`

### getEndPosition

    public int getEndPosition()

  Specified by:
    `getEndPosition` in interface `ASTNode`
  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `ASTNode.setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    public void setEndPosition(int newEndPosition)

  Specified by:
    `setEndPosition` in interface `ASTNode`
  Parameters:
    `newEndPosition` - the new value of the 'End Position' attribute.
  See Also:
    `ASTNode.getEndPosition()`

### getTypeStartPosition

    public int getTypeStartPosition()

  Specified by:
    `getTypeStartPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    public void setTypeStartPosition(int newTypeStartPosition)

  Specified by:
    `setTypeStartPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeStartPosition` - the new value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.getTypeStartPosition()`

### getTypeEndPosition

    public int getTypeEndPosition()

  Specified by:
    `getTypeEndPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    public void setTypeEndPosition(int newTypeEndPosition)

  Specified by:
    `setTypeEndPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeEndPosition` - the new value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.getTypeEndPosition()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `TypedElement<C>`

### getType

    public C getType()

  Specified by:
    `getType` in interface `TypedElement<C>`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `TypedElement<C>`

### setType

    public void setType(C type)

  Specified by:
    `setType` in interface `TypedElement<C>`

### getValue

    public OCLExpression<C> getValue()

  Specified by:
    `getValue` in interface `TupleLiteralPart<C,P>`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `TupleLiteralPart.setValue(OCLExpression)`, `ExpressionsPackage.getTupleLiteralPart_Value()`

### basicSetValue

    public NotificationChain basicSetValue(OCLExpression<C> newValue,
                                           NotificationChain msgs)

### setValue

    public void setValue(OCLExpression<C> newValue)

  Specified by:
    `setValue` in interface `TupleLiteralPart<C,P>`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `TupleLiteralPart.getValue()`

### getAttribute

    public P getAttribute()

  Specified by:
    `getAttribute` in interface `TupleLiteralPart<C,P>`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `TupleLiteralPart.setAttribute(Object)`, `ExpressionsPackage.getTupleLiteralPart_Attribute()`

### basicGetAttribute

    public P basicGetAttribute()

### setAttribute

    public void setAttribute(P newAttribute)

  Specified by:
    `setAttribute` in interface `TupleLiteralPart<C,P>`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `TupleLiteralPart.getAttribute()`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Specified by:
    `accept` in interface `Visitable`

### checkValueType

    public boolean checkValueType(DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

  Specified by:
    `checkValueType` in interface `TupleLiteralPart<C,P>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.